#!/bin/sh

components=$*
[ -z "$components" ] && components="eet evas ecore embryo edje python-evas python-ecore python-edje"

export SBOX_DEFAULT_AUTOMAKE=1.8

for component in $components ; do 
	echo "building $component package"
	rm -rf ./component
	svn export https://garage.maemo.org/svn/maemo-efl/trunk/$component
	cd $component
	tar -zxf ../${component}_*.orig.tar.gz --strip-components=1
	if [ -d debian/patches ] ; then
		quilt pop -a -f
		quilt push -a
	fi
	if [ -f configure.in ] ; then
		automake
		autoconf
	fi
	# FIXME: install build dependencies here
	dpkg-buildpackage -rfakeroot -us -uc -sa -D || exit
	cd ..
	fakeroot dpkg -i *$component*deb || exit
done

