#!/bin/sh


DISTS="chinook diablo"
ARCHS="all i386 armel"

package_dir=$1
repo_dir=$2
base_dir=$PWD

if [ -z "$package_dir" -o -z "$repo_dir" ]; then
    echo "usage: $0 [package_dir] [repository_dir]"
    exit 1
fi

for dist in $DISTS; do
    files=`find $package_dir/$dist -name "*.deb"`
    files="$files `find $package_dir/$dist -name \"*.changes\"`"
    files="$files `find $package_dir/$dist -name \"*.dsc\"`"
    files="$files `find $package_dir/$dist -name \"*.tar.gz\"`"
    mkdir -p $repo_dir/pool/$dist/maemo-efl/
    for arch in $ARCHS; do
        mkdir -p $repo_dir/dists/$dist/maemo-efl/binary-$arch
        for file in $files; do
            cp $file $repo_dir/pool/$dist/maemo-efl/
        done
    done
done

cd $repo_dir
for dist in $DISTS; do
    for arch in $ARCHS; do
        mkdir -p dists/$dist/maemo-efl/binary-$arch
        dpkg-scanpackages -a$arch pool/$dist/maemo-efl/ > dists/$dist/maemo-efl/binary-$arch/Packages 2>/dev/null
        cat dists/$dist/maemo-efl/binary-$arch/Packages | gzip -9c > dists/$dist/maemo-efl/binary-$arch/Packages.gz
        cat dists/$dist/maemo-efl/binary-$arch/Packages | bzip2 -9c > dists/$dist/maemo-efl/binary-$arch/Packages.bz2
    done
done

for dist in $DISTS; do
    mkdir dists/$dist/maemo-efl/source/
    dpkg-scansources pool/$dist/maemo-efl/ > dists/$dist/maemo-efl/source/Sources
    cat dists/$dist/maemo-efl/source/Sources | gzip -9c > dists/$dist/maemo-efl/source/Sources.gz
    cat dists/$dist/maemo-efl/source/Sources | bzip2 -9c > dists/$dist/maemo-efl/source/Sources.bz2
done

cd $base_dir
