#!/bin/sh

###########################################################
# Maemo-efl building script
# Logging functions definitions
#
# Note: var-definitions.sh and helper-functions.sh needed.
###########################################################

create_log_file() {
    if [ ! -r $__output_file ]; then
        msg_begin "Creating log file"
        touch $__output_file
        msg_end $?
    else
        msg "Using existing log file: $__output_file"
    fi
}

log_to_file() {
    local now
    local msg
    msg=$1

    if [ ! -r $__output_file ]; then
        error "log_to_file(): Log file does not exist"
    fi

    now=`$__date +%H:%M:%S`
    echo "$now: $msg" >> $__output_file
}

start_log() {
    local now
    now=`$__date -R`

    echo "" >> $__output_file

    if [ $? != 0 ] ; then
        error "start_log(): Could not create $__output_file file"
    fi

    cat << EOF >> $__output_file
*********************************************************
* Started $__this_script: $now *
*********************************************************

EOF
}

finish_log() {
    local now
    now=`$__date -R`

    if [ ! -r $__output_file ]; then
        error "finish_log(): Log file does not exist"
    fi

    cat << EOF >> $__output_file

* Finished $__this_script: $now
EOF
}
